Get the link that pays for apps
curl --request POST \
--url https://dojo.frogbot.ai/api/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace": "6720f1…",
"apps": 2,
"plan": "pro"
}
'import requests
url = "https://dojo.frogbot.ai/api/billing/checkout"
payload = {
"workspace": "6720f1…",
"apps": 2,
"plan": "pro"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace: '6720f1…', apps: 2, plan: 'pro'})
};
fetch('https://dojo.frogbot.ai/api/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/billing/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace' => '6720f1…',
'apps' => 2,
'plan' => 'pro'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/billing/checkout"
payload := strings.NewReader("{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dojo.frogbot.ai/api/billing/checkout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/billing/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Billing
Get the link that pays for apps
With a JSON body, answers { url } for a person to open: Stripe Checkout for a workspace with no plan, or a page confirming the new quantity for one that pays. Paying and accepting the terms happen there.
POST
/
api
/
billing
/
checkout
Get the link that pays for apps
curl --request POST \
--url https://dojo.frogbot.ai/api/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace": "6720f1…",
"apps": 2,
"plan": "pro"
}
'import requests
url = "https://dojo.frogbot.ai/api/billing/checkout"
payload = {
"workspace": "6720f1…",
"apps": 2,
"plan": "pro"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace: '6720f1…', apps: 2, plan: 'pro'})
};
fetch('https://dojo.frogbot.ai/api/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/billing/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace' => '6720f1…',
'apps' => 2,
'plan' => 'pro'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/billing/checkout"
payload := strings.NewReader("{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dojo.frogbot.ai/api/billing/checkout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/billing/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace\": \"6720f1…\",\n \"apps\": 2,\n \"plan\": \"pro\"\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}